metadata:
  name: wksp-thr2
projects:
  - name: nodejs-configmap
    source:
      location: >-
        http://devfile-registry-iokhrime-crw.apps.ocp44.codereadyqe.com/resources/nodejs-configmap-nodejs-configmap-master.zip
      type: zip
components:
  - id: che-incubator/typescript/latest
    memoryLimit: 512Mi
    type: chePlugin
  - mountSources: true
    memoryLimit: 1Gi
    type: dockerimage
    image: >-
      quay.io/crw/stacks-node-rhel8@sha256:880beabedb2f749f83d8d5a78ac9eca8276f6425cd81b8a456532417e3661471
    alias: nodejs
  - id: redhat/vscode-openshift-connector/latest
    memoryLimit: 512Mi
    type: chePlugin
    alias: openshift-connector
apiVersion: 1.0.0
commands:
  - name: 1. Install dependencies
    actions:
      - workdir: '${CHE_PROJECTS_ROOT}/nodejs-configmap'
        type: exec
        command: npm install
        component: nodejs
  - name: 2. Deploy application
    actions:
      - workdir: '${CHE_PROJECTS_ROOT}/nodejs-configmap'
        type: exec
        command: npm run openshift
        component: nodejs

